Summary: A CRT screen handling and optimization package.
Name: ncurses
Version: 5.2
Release: 1.3.0
License: distributable
Group: System Environment/Libraries
Source0: ftp://ftp.clark.net/pub/dickey/ncurses/ncurses-%{version}.tar.gz
Source1: ncurses-linux
Source2: ncurses-linux-m
Source3: ncurses-resetall.sh
Patch0: ncurses-5.0-setuid2.patch
Patch1: ncurses-5.2-20001028.patch.gz
Patch2: ncurses-5.2-20001104.patch.gz
Patch3: ncurses-5.2-20001111.patch.gz
BuildRoot: /var/tmp/%{name}-root

%description
The curses library routines are a terminal-independent method of
updating character screens with reasonable optimization.  The ncurses
(new curses) library is a freely distributable replacement for the
discontinued 4.4BSD classic curses library.

%package devel
Summary: The development files for applications which use ncurses.
Group: Development/Libraries
Requires: ncurses = %{PACKAGE_VERSION}

%description devel
The header files and libraries for developing applications that use
the ncurses CRT screen handling and optimization package.

Install the ncurses-devel package if you want to develop applications
which will use ncurses.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
CFLAGS="%{optflags} -DPURE_TERMINFO"
%define optflags $CFLAGS
%configure \
	--with-install-prefix=$RPM_BUILD_ROOT \
	--with-normal --with-shared --without-debug --without-profile \
	--without-cxx --without-ada --without-cxx-binding
make

%install
rm -rf $RPM_BUILD_ROOT
make install includedir=/usr/include/ncurses
ln -s ../l/linux $RPM_BUILD_ROOT/usr/share/terminfo/c/console
ln -s ncurses/curses.h $RPM_BUILD_ROOT/usr/include/ncurses.h
for I in curses unctrl eti form menu panel term; do
	ln -sf ncurses/$I.h $RPM_BUILD_ROOT/usr/include/$I.h
done

%ifarch sparc
install -m644 %SOURCE2 $RPM_BUILD_ROOT/usr/share/terminfo/l/linux
install -m644 %SOURCE3 $RPM_BUILD_ROOT/usr/share/terminfo/l/linux-m
%endif

strip -R .comments $RPM_BUILD_ROOT/usr/bin/* || :
strip -R .comments --strip-unneeded $RPM_BUILD_ROOT/usr/lib/*.so.%{version}
make clean -C test

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README ANNOUNCE
%attr(755,root,root) /usr/lib/lib*.so.*
/usr/share/terminfo
/usr/include/*
/usr/share/tabset
/usr/bin/*
%doc %{_mandir}/man1/*
%doc %{_mandir}/man5/*
%doc %{_mandir}/man7/*

%files devel
%defattr(-,root,root)
%doc c++ test
%doc misc/hackguide.html
%doc misc/ncurses-intro.html
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_includedir}/*
%doc %{_mandir}/man3/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Mon Feb 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).

* Mon Feb 11 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.2.0
  - Initial build for EnGarde v1.2 (Parry).

* Tue Aug 07 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 5.2, Release 1.1.0
  - Initial build for EnGarde v1.1 (Balestra).

* Sat Nov 18 2000 Dave Wreski <dave@guardiandigital.com>
- add maintainer patches

* Fri Jul 14 2000 Pete O'Hara <pete@guardiandigital.com>
- removed "devel" package for Guaradian Digital Lockbox
- add setuid security patch

* Wed Jul 12 2000 Pete O'Hara <pete@guardiandigital.com>
- initial version

